#ifndef 	DS1307_H_
#define		DS1307_H_


typedef struct {
	uint8_t sec;		// 0 - 59
	uint8_t min;		// 0 - 59
	uint8_t hour;		// 1 - 23
	uint8_t day;		// 1 - 7
	uint8_t date;		// 1 - 28/29/30/31
	uint8_t month;		// 1 - 12
	uint8_t year;       // 0 - 99
} RTC_TYPE;

RTC_TYPE RTC;


uint8_t 	BinToBcd			(uint8_t val);
uint8_t 	BcdToBin			(uint8_t val);

void 		TWI_init			(void);
void 		Read_RTC 			(void);
void 		update_RTC 			(void);

void 		new_update 			(void);

void 		check_DS1307 		(char update);

void 		disable_rtc 		(void);
void 		enable_rtc 			(void);

uint32_t 	display_realtime 	(void);


char check_time 				(uint32_t lvalue);
//address for DS1307

#define		ADDR_SEC		0
#define		ADDR_MIN		1
#define		ADDR_HOUR		2
#define		ADDR_DAY		3

#define		ADDR_DATE		4
#define		ADDR_MONTH		5
#define		ADDR_YEAR		6
#define		ADDR_CONFIG		7

#define 	RTC_INTREG		GIMSK

#define		HOUR			3600
#define		MIN				60
#define 	RTC_ERROR		80

#define 	TWI_SLA     	0xD0      //Address DS1307

#endif
