#include <inttypes.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <stdio.h>

const uint8_t fonts [] PROGMEM = {
		/* ' ' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
		/* '!' charwidth: 9 */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x3C, /*  [  ****   ]  */
		0x3C, /*  [  ****   ]  */
		0x3C, /*  [  ****   ]  */
		0x3C, /*  [  ****   ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */

		
		/* '"' charwidth: 9 */
		0x00, /*  [         ]  */		
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x24, /*  [  *  *   ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
		
		/* '#' charwidth: 9 */
		0x00, /*  [         ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0xFF, /*  [******** ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0xFF, /*  [******** ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x00, /*  [         ]  */
		
		/* '$' charwidth: 9 */
		0x0C, /*  [    **   ]  */
		0x3E, /*  [  *****  ]  */
		0x6B, /*  [ ** * ** ]  */
		0x69, /*  [ ** *  * ]  */
		0x68, /*  [ ** *    ]  */
		0x3E, /*  [  *****  ]  */
		0x0B, /*  [    * ** ]  */
		0x0B, /*  [    * ** ]  */
		0x4B, /*  [ *  * ** ]  */
		0x6B, /*  [ ** * ** ]  */
		0x3E, /*  [  *****  ]  */
		0x0C, /*  [    **   ]  */
		
		/* '%' charwidth: 9 */
		0x00, /*  [         ]  */
		0x70, /*  [ ***     ]  */
		0x51, /*  [ * *   * ]  */
		0x73, /*  [ ***  ** ]  */
		0x06, /*  [     **  ]  */
		0x0C, /*  [    **   ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x67, /*  [ **  *** ]  */
		0xC5, /*  [**   * * ]  */
		0x87, /*  [*    *** ]  */
		0x00, /*  [         ]  */
		
		
		/* '&' charwidth: 9 */
		0x00, /*  [         ]  */
		0x3C, /*  [  ****   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x3C, /*  [  ****   ]  */
		0x78, /*  [ ****    ]  */
		0xCD, /*  [**  ** * ]  */
		0xC7, /*  [**   *** ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7B, /*  [ **** ** ]  */
		0x00, /*  [         ]  */
		
		
		/* ''' charwidth: 9 */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
		
		/* '(' charwidth: 9 */
		0x00, /*  [         ]  */
		0x0C, /*  [    **   ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x18, /*  [   **    ]  */
		0x0C, /*  [    **   ]  */
		0x00, /*  [         ]  */
		
		
		/* ')' charwidth: 9 */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x0C, /*  [    **   ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x0C, /*  [    **   ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		
		
		/* '*' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x66, /*  [ **  **  ]  */
		0x3C, /*  [  ****   ]  */
		0xFF, /*  [******** ]  */
		0x3C, /*  [  ****   ]  */
		0x66, /*  [ **  **  ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
		
		/* '+' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0xFF, /*  [******** ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
		
		/* ',' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		
		/* '-' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xFF, /*  [******** ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
		/* '.' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		
		
		/* '/' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x01, /*  [       * ]  */
		0x03, /*  [      ** ]  */
		0x06, /*  [     **  ]  */
		0x0C, /*  [    **   ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x60, /*  [ **      ]  */
		0xC0, /*  [**       ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
		/* '0' charwidth: 9 */
		0x00, /*  [         ]  */
		0x3C, /*  [  ****   ]  */
		0x66, /*  [ **  **  ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xDB, /*  [** ** ** ]  */
		0xDB, /*  [** ** ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0x66, /*  [ **  **  ]  */
		0x3C, /*  [  ****   ]  */
		0x00, /*  [         ]  */
		
		
		/* '1' charwidth: 9 */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x38, /*  [  ***    ]  */
		0x78, /*  [ ****    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x7E, /*  [ ******  ]  */
		0x7E, /*  [ ******  ]  */
		0x00, /*  [         ]  */
		
		
		/* '2' charwidth: 9 */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0x06, /*  [     **  ]  */
		0x0C, /*  [    **   ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x60, /*  [ **      ]  */
		0xC0, /*  [**       ]  */
		0xC6, /*  [**   **  ]  */
		0xFE, /*  [*******  ]  */
		0x00, /*  [         ]  */
		
		
		/* '3' charwidth: 9 */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x1C, /*  [   ***   ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		0x00,  	/*  [         ]  */
		0x06,  	/*  [    **   ]  */
		0x0E,  	/*  [   ***   ]  */
		0x1E,  	/*  [  ****   ]  */
		0x36,  	/*  [ ** **   ]  */
		0x66,  	/*  [**  **   ]  */
		0x66,  	/*  [**  **   ]  */
		0x7F,  	/*  [*******  ]  */
		0x06,  	/*  [    **   ]  */
		0x06,  	/*  [    **   ]  */
		0x0F,  	/*  [   ****  ]  */
		0x00,  	/*  [         ]  */
		
		/* '5' charwidth: 9 */
		0x00, /*  [         ]  */
		0xFE, /*  [*******  ]  */
		0xC0, /*  [**       ]  */
		0xC0, /*  [**       ]  */
		0xC0, /*  [**       ]  */
		0xFC, /*  [******   ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */

		
		/* '6' charwidth: 9 */
		0x00, /*  [         ]  */
		0x3C, /*  [  ****   ]  */
		0x60, /*  [ **      ]  */
		0xC0, /*  [**       ]  */
		0xC0, /*  [**       ]  */
		0xFC, /*  [******   ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		/* '7' charwidth: 9 */
		0x00, /*  [         ]  */		
		0xFE, /*  [*******  ]  */
		0xC6, /*  [**   **  ]  */
		0x06, /*  [     **  ]  */
		0x0C, /*  [    **   ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x00, /*  [         ]  */
		
		
		/* '8' charwidth: 9 */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		/* '9' charwidth: 9 */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7E, /*  [ ******  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x0C, /*  [    **   ]  */
		0x78, /*  [ ****    ]  */
		0x00, /*  [         ]  */
		
		
		/* ':' charwidth: 9 */
		0x00,  	/*  [        ]  */
		0x00,  	/*  [        ]  */
		0x00,	//  [        ]  //
		0x18,	//  [   **   ]  //
		0x18,	//  [   **   ]  //
		0x00,	//  [        ]  //
		0x00,	//  [        ]  //
		0x18,	//  [   **   ]  //
		0x18,	//  [   **   ]  //
		0x00,	//  [        ]  //
		0x00,	//  [        ]  //
		0x00,  	/*  [        ]  */
		
		/* ';' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x00, /*  [         ]  */
		
		/* '<' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x06, /*  [     **  ]  */
		0x0C, /*  [    **   ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x60, /*  [ **      ]  */
		0x30, /*  [  **     ]  */
		0x18, /*  [   **    ]  */
		0x0C, /*  [    **   ]  */
		0x06, /*  [     **  ]  */
		0x00, /*  [         ]  */
		
		
		/* '=' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xFE, /*  [*******  ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xFE, /*  [*******  ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
		
		/* '>' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x30, /*  [  **     ]  */
		0x18, /*  [   **    ]  */
		0x0C, /*  [    **   ]  */
		0x06, /*  [     **  ]  */
		0x03, /*  [      ** ]  */
		0x06, /*  [     **  ]  */
		0x0C, /*  [    **   ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x00, /*  [         ]  */

		
		/* '?' charwidth: 9 */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x0C, /*  [    **   ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		
		
		/* '@' charwidth: 9 */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xCE, /*  [**  ***  ]  */
		0xDE, /*  [** ****  ]  */
		0xDC, /*  [** ***   ]  */
		0xC0, /*  [**       ]  */
		0xC0, /*  [**       ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'A' charwidth: 9 */
		0x00, /*  [         ]  */
		0x10, /*  [   *     ]  */
		0x38, /*  [  ***    ]  */
		0x6C, /*  [ ** **   ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xFE, /*  [*******  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'B' charwidth: 9 */
		0x00, /*  [         ]  */
		0xFC, /*  [******   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x7C, /*  [ *****   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0xFC, /*  [******   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'C' charwidth: 9 */
		0x00, /*  [         ]  */
		0x3C, /*  [  ****   ]  */
		0x66, /*  [ **  **  ]  */
		0xC2, /*  [**    *  ]  */
		0xC0, /*  [**       ]  */
		0xC0, /*  [**       ]  */
		0xC0, /*  [**       ]  */
		0xC0, /*  [**       ]  */
		0xC2, /*  [**    *  ]  */
		0x66, /*  [ **  **  ]  */
		0x3C, /*  [  ****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'D' charwidth: 9 */
		0x00, /*  [         ]  */
		0xF8, /*  [*****    ]  */
		0x6C, /*  [ ** **   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x6C, /*  [ ** **   ]  */
		0xF8, /*  [*****    ]  */
		0x00, /*  [         ]  */
		
		
		/* 'E' charwidth: 9 */
		0x00, /*  [         ]  */
		0xFE, /*  [*******  ]  */
		0x66, /*  [ **  **  ]  */
		0x60, /*  [ **      ]  */
		0x68, /*  [ ** *    ]  */
		0x78, /*  [ ****    ]  */
		0x68, /*  [ ** *    ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x66, /*  [ **  **  ]  */
		0xFE, /*  [*******  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'F' charwidth: 9 */
		0x00, /*  [         ]  */
		0xFE, /*  [*******  ]  */
		0x66, /*  [ **  **  ]  */
		0x60, /*  [ **      ]  */
		0x68, /*  [ ** *    ]  */
		0x78, /*  [ ****    ]  */
		0x68, /*  [ ** *    ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0xF0, /*  [****     ]  */
		0x00, /*  [         ]  */
		
		
		/* 'G' charwidth: 9 */
		0x00, /*  [         ]  */
		0x3C, /*  [  ****   ]  */
		0x66, /*  [ **  **  ]  */
		0xC2, /*  [**    *  ]  */
		0xC0, /*  [**       ]  */
		0xC0, /*  [**       ]  */
		0xCE, /*  [**  ***  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x66, /*  [ **  **  ]  */
		0x3A, /*  [  *** *  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'H' charwidth: 9 */
		0x00, /*  [         ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xFE, /*  [*******  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'I' charwidth: 9 */
		0x00, /*  [         ]  */
		0x7E, /*  [ ******  ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x7E, /*  [ ******  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'J' charwidth: 9 */
		0x00, /*  [         ]  */
		0x1E, /*  [   ****  ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0x78, /*  [ ****    ]  */
		0x00, /*  [         ]  */
		
		
		/* 'K' charwidth: 9 */
		0x00, /*  [         ]  */
		0xE6, /*  [***  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x6C, /*  [ ** **   ]  */
		0x78, /*  [ ****    ]  */
		0x70, /*  [ ***     ]  */
		0x78, /*  [ ****    ]  */
		0x6C, /*  [ ** **   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0xE6, /*  [***  **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'L' charwidth: 9 */
		0x00, /*  [         ]  */
		0xF0, /*  [****     ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x66, /*  [ **  **  ]  */
		0xFE, /*  [*******  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'M' charwidth: 9 */
		0x00, /*  [         ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xE7, /*  [***  *** ]  */
		0xFF, /*  [******** ]  */
		0xDB, /*  [** ** ** ]  */
		0xDB, /*  [** ** ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0x00, /*  [         ]  */
		
		
		/* 'N' charwidth: 9 */
		0x00, /*  [         ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xE6, /*  [***  **  ]  */
		0xF6, /*  [**** **  ]  */
		0xDE, /*  [** ****  ]  */
		0xCE, /*  [**  ***  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'O' charwidth: 9 */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'P' charwidth: 9 */
		0x00, /*  [         ]  */
		0xFC, /*  [******   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x7C, /*  [ *****   ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0xF0, /*  [****     ]  */
		0x00, /*  [         ]  */
		
		
		/* 'Q' charwidth: 9 */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xD6, /*  [** * **  ]  */
		0x7C, /*  [ *****   ]  */
		0x0C, /*  [    **   ]  */
		0x06, /*  [     **  ]  */
		
		/* 'R' charwidth: 9 */
		0x00, /*  [         ]  */
		0xFC, /*  [******   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x7C, /*  [ *****   ]  */
		0x6C, /*  [ ** **   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0xE6, /*  [***  **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'S' charwidth: 9 */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC0, /*  [**       ]  */
		0x60, /*  [ **      ]  */
		0x38, /*  [  ***    ]  */
		0x0C, /*  [    **   ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'T' charwidth: 9 */
		0x00, /*  [         ]  */
		0xFF, /*  [******** ]  */
		0xDB, /*  [** ** ** ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x3C, /*  [  ****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'U' charwidth: 9 */
		0x00, /*  [         ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'V' charwidth: 9 */
		0x00, /*  [         ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0x66, /*  [ **  **  ]  */
		0x3C, /*  [  ****   ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		
		
		/* 'W' charwidth: 9 */
		0x00, /*  [         ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xDB, /*  [** ** ** ]  */
		0xDB, /*  [** ** ** ]  */
		0xFF, /*  [******** ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'X' charwidth: 9 */
		0x00, /*  [         ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0x66, /*  [ **  **  ]  */
		0x3C, /*  [  ****   ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x3C, /*  [  ****   ]  */
		0x66, /*  [ **  **  ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0x00, /*  [         ]  */
		
		
		/* 'Y' charwidth: 9 */
		0x00, /*  [         ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0x66, /*  [ **  **  ]  */
		0x3C, /*  [  ****   ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x3C, /*  [  ****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'Z' charwidth: 9 */
		0x00, /*  [         ]  */
		0xFF, /*  [******** ]  */
		0xC3, /*  [**    ** ]  */
		0x06, /*  [     **  ]  */
		0x0C, /*  [    **   ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x60, /*  [ **      ]  */
		0xC0, /*  [**       ]  */
		0xC3, /*  [**    ** ]  */
		0xFF, /*  [******** ]  */
		0x00, /*  [         ]  */
		
		
		/* '[' charwidth: 9 */
		0x00, /*  [         ]  */
		0x3C, /*  [  ****   ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x3C, /*  [  ****   ]  */
		0x00, /*  [         ]  */
		
		
		/* '\' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x80, /*  [*        ]  */
		0xC0, /*  [**       ]  */
		0xE0, /*  [***      ]  */
		0x70, /*  [ ***     ]  */
		0x38, /*  [  ***    ]  */
		0x1C, /*  [   ***   ]  */
		0x0E, /*  [    ***  ]  */
		0x06, /*  [     **  ]  */
		0x02, /*  [      *  ]  */
		0x00, /*  [         ]  */
		
		
		/* ']' charwidth: 9 */
		0x00, /*  [         ]  */
		0x3C, /*  [  ****   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x3C, /*  [  ****   ]  */
		0x00, /*  [         ]  */
		
		
		/* '^' charwidth: 9 */
		0x00, /*  [         ]  */
		0x08, /*  [    *    ]  */
		0x1C, /*  [   ***   ]  */
		0x36, /*  [  ** **  ]  */
		0x63, /*  [ **   ** ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
		
		/* '_' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xFF, /*  [******** ]  */
		0x00, /*  [         ]  */
		
		/* '`' charwidth: 9 */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x0C, /*  [    **   ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
		
		/* 'a' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x78, /*  [ ****    ]  */
		0x0C, /*  [    **   ]  */
		0x7C, /*  [ *****   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0x76, /*  [ *** **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'b' charwidth: 9 */
		0x00, /*  [         ]  */
		0xE0, /*  [***      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x78, /*  [ ****    ]  */
		0x6C, /*  [ ** **   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0xDC, /*  [** ***   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'c' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC0, /*  [**       ]  */
		0xC0, /*  [**       ]  */
		0xC0, /*  [**       ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'd' charwidth: 9 */
		0x00, /*  [         ]  */
		0x1C, /*  [   ***   ]  */
		0x0C, /*  [    **   ]  */
		0x0C, /*  [    **   ]  */
		0x3C, /*  [  ****   ]  */
		0x6C, /*  [ ** **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0x76, /*  [ *** **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'e' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xFE, /*  [*******  ]  */
		0xC0, /*  [**       ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'f' charwidth: 9 */
		0x00, /*  [         ]  */
		0x1C, /*  [   ***   ]  */
		0x36, /*  [  ** **  ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x7C, /*  [ *****   ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x78, /*  [ ****    ]  */
		0x00, /*  [         ]  */
		
		
		/* 'g' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x76, /*  [ *** **  ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0x7C, /*  [ *****   ]  */
		0x0C, /*  [    **   ]  */
		0xCC, /*  [**  **   ]  */
		0x78, /*  [ ****    ]  */
		
		/* 'h' charwidth: 9 */
		0x00, /*  [         ]  */
		0xE0, /*  [***      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x6C, /*  [ ** **   ]  */
		0x76, /*  [ *** **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0xE6, /*  [***  **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'i' charwidth: 9 */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		0x38, /*  [  ***    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x3C, /*  [  ****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'j' charwidth: 9 */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x00, /*  [         ]  */
		0x0E, /*  [    ***  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x06, /*  [     **  ]  */
		0x66, /*  [ **  **  ]  */
		0x3C, /*  [  ****   ]  */
		0x00, /*  [         ]  */
		
		/* 'k' charwidth: 9 */
		0x00, /*  [         ]  */
		0xE0, /*  [***      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x66, /*  [ **  **  ]  */
		0x6C, /*  [ ** **   ]  */
		0x78, /*  [ ****    ]  */
		0x78, /*  [ ****    ]  */
		0x6C, /*  [ ** **   ]  */
		0x66, /*  [ **  **  ]  */
		0xE6, /*  [***  **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'l' charwidth: 9 */
		0x00, /*  [         ]  */
		0x38, /*  [  ***    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x3C, /*  [  ****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'm' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xE6, /*  [***  **  ]  */
		0xFF, /*  [******** ]  */
		0xDB, /*  [** ** ** ]  */
		0xDB, /*  [** ** ** ]  */
		0xDB, /*  [** ** ** ]  */
		0xDB, /*  [** ** ** ]  */
		0xC3, /*  [**    ** ]  */
		0x00, /*  [         ]  */
		
		
		/* 'n' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xDC, /*  [** ***   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'o' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'p' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */		
		0xDC, /*  [** ***   ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x66, /*  [ **  **  ]  */
		0x7C, /*  [ *****   ]  */
		0x60, /*  [ **      ]  */
		0xF0, /*  [****     ]  */
		
		/* 'q' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x76, /*  [ *** **  ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0x7C, /*  [ *****   ]  */
		0x0C, /*  [    **   ]  */
		0x1E, /*  [   ****  ]  */
		
		/* 'r' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xDC, /*  [** ***   ]  */
		0x76, /*  [ *** **  ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0x60, /*  [ **      ]  */
		0xF0, /*  [****     ]  */
		0x00, /*  [         ]  */
		
		
		/* 's' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x7C, /*  [ *****   ]  */
		0xC6, /*  [**   **  ]  */
		0xC0, /*  [**       ]  */
		0x7C, /*  [ *****   ]  */
		0x06, /*  [     **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7C, /*  [ *****   ]  */
		0x00, /*  [         ]  */
		
		
		/* 't' charwidth: 9 */
		0x00, /*  [         ]  */
		0x10, /*  [   *     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0xFC, /*  [******   ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x30, /*  [  **     ]  */
		0x36, /*  [  ** **  ]  */
		0x1C, /*  [   ***   ]  */
		0x00, /*  [         ]  */
		
		
		/* 'u' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0xCC, /*  [**  **   ]  */
		0x76, /*  [ *** **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'v' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0x66, /*  [ **  **  ]  */
		0x3C, /*  [  ****   ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		
		
		/* 'w' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xC3, /*  [**    ** ]  */
		0xDB, /*  [** ** ** ]  */
		0xDB, /*  [** ** ** ]  */
		0xFF, /*  [******** ]  */
		0x66, /*  [ **  **  ]  */
		0x00, /*  [         ]  */
		
		
		/* 'x' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xC3, /*  [**    ** ]  */
		0x66, /*  [ **  **  ]  */
		0x3C, /*  [  ****   ]  */
		0x18, /*  [   **    ]  */
		0x3C, /*  [  ****   ]  */
		0x66, /*  [ **  **  ]  */
		0xC3, /*  [**    ** ]  */
		0x00, /*  [         ]  */
		
		
		/* 'y' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0xC6, /*  [**   **  ]  */
		0x7E, /*  [ ******  ]  */
		0x06, /*  [     **  ]  */
		0xFC, /*  [******   ]  */
		0x00, /*  [         ]  */
		
		/* 'z' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0xFE, /*  [*******  ]  */
		0xCC, /*  [**  **   ]  */
		0x18, /*  [   **    ]  */
		0x30, /*  [  **     ]  */
		0x60, /*  [ **      ]  */
		0xC6, /*  [**   **  ]  */
		0xFE, /*  [*******  ]  */
		0x00, /*  [         ]  */
		
		
		/* '{' charwidth: 9 */
		0x00, /*  [         ]  */
		0x0E, /*  [    ***  ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x70, /*  [ ***     ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x0E, /*  [    ***  ]  */
		0x00, /*  [         ]  */
		
		
		/* '|' charwidth: 9 */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x00, /*  [         ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		
		
		/* '}' charwidth: 9 */
		0x00, /*  [         ]  */
		0x70, /*  [ ***     ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x0E, /*  [    ***  ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x18, /*  [   **    ]  */
		0x70, /*  [ ***     ]  */
		0x00, /*  [         ]  */
		
		
		/* '~' charwidth: 9 */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x3B, /*  [  *** ** ]  */
		0x6E, /*  [ ** ***  ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		0x00, /*  [         ]  */
		
};

