#ifndef __MYDEFS_H
#define __MYDEFS_H

#define 	F_CPU      			16000000    //processor clock
#define 	T1_PRESCALER		8
#define 	T1_TICKS   			F_CPU / ( T1_PRESCALER * 65536)	
#define 	T1_ONESECOND    	T1_TICKS
#define 	sbi(portn, bitn) 	((portn)|=(1<<(bitn)))
#define 	cbi(portn, bitn) 	((portn)&=~(1<<(bitn)))
#define 	TRUE				1
#define		FALSE	    		0

#define 	set_high(portn, bitn) 	((portn)|=(1<<(bitn)))
#define 	set_low(portn, bitn) 	((portn)&=~(1<<(bitn)))

#include 	<util/delay.h>

#define		RTC_1307
#define 	DS1307_INT			0x01
#define 	FIRST_SHIFT			0x02

#define 	BUZ_DDR				DDRD
#define 	BUZ_PORT			PORTD
#define 	BUZ					7
#define 	Buzzer_on()			BUZ_PORT &= ~_BV(BUZ);
#define 	Buzzer_off()		BUZ_PORT |=  _BV(BUZ);
#define 	SHORT				0
#define 	LONG				1

#define 	SHIFT_TIME			20

#define 	SETDATE 				0
#define 	SETTIME 				1

#define 	SETUP				PA2
#define 	ENTER				PA3
#define 	ESC					PA4	
#define 	HPLUS				PA5		//	hour and date
#define 	MPLUS				PA6		//	min and month
#define 	SPLUS				PA7		//	sec and year

#define 	CLOCK				0
#define 	COUNT_DOWN			1
#define 	COUNT_UP			2
#define 	DISPLAY_NTC			3

#define 	PAUSE				0x40
#define 	RUNNING				0x80

#define 	TEST_MODE


#define 	DEBUG_RS232

#endif //__MYDEFS_H
