#ifndef ___SERIAL_H
#define ___SERIAL_H

#include <avr/pgmspace.h>

#ifndef UART_BAUD_RATE
	#define UART_BAUD_RATE     9600
#endif

#define UART_BAUD_SELECT (F_CPU/(UART_BAUD_RATE*16l)-1)

extern void ser_init	(void);
extern void ser_putc	(uint8_t c);
extern void ser_puts	(uint8_t *s);
extern int ser_gets		(uint8_t *s, uint8_t len);
extern unsigned char 	ser_getc (void);
extern void ser_puthex	(uint8_t by);

extern volatile uint8_t rcnt, rpos;
extern volatile uint8_t busy;

extern void _serputs_P(char const *txt);
#define serputs_P(text)   _serputs_P(PSTR(text))

#define TX0_BIT							1
#define TX0_PORT						PORTD
#define TX0_DDR							DDRD

#define SIG_UART0_RECEIVE				SIG_UART_RECV
#define SIG_UART0_TRANSMIT				SIG_UART_TRANS
#define UART0_RECEIVE_REGISTER    		UDR
#define UART0_TRANSMIT_REGISTER   		UDR
#define ENABLE_UART0_TRANSMIT_INT		sbi(UCSRB,TXEN)  // 
#define DISABLE_UART0_TRANSMIT_INT		cbi(UCSRB,TXEN)  // 
#define ENABLE_UART0_RECEIVE_INT		sbi(UCSRB,RXCIE)
#define DISABLE_UART0_RECEIVE_INT		cbi(UCSRB,RXCIE)
#define UART0_BAUD_REGISTER_HIGH		UBRRH
#define UART0_BAUD_REGISTER_LOW			UBRRL
#define UART0_CONFIGURE1				UCSRB= (1<<RXCIE) | (1<<TXCIE) | (1<<RXEN) | (1<<TXEN)
#define UART0_CONFIGURE2				UCSRC= (1<<URSEL) | (1<<UCSZ1) | (1<<UCSZ0) //8 Bit,1 Stop, no parity
  
#endif
