#include 	<avr/io.h>
#include 	<avr/interrupt.h>
#include 	<stdio.h>
#include 	<stdarg.h>
#include 	<string.h>
#include 	<stdlib.h>
#include 	<math.h>

#include 	"mydefs.h"
#include 	"printf.h"
#include 	"serial.h"


#include 	"p10.h"
#include 	"sign.h"
#include 	"ds1307.h"

extern uint8_t flag;

//---------------------------------------------------------------------------------//
void hold (int page)
{
	for (;;)
		show (display[page]);
	;
}
//---------------------------------------------------------------------------------//
void still (int delay)
{
	while (delay--)
		show (display[0]);
	;
}
///---------------------------------------------------------------------------------//
void clear_buff (int page)
{
	memset (display[page].display_buff, 0, sizeof display[page].display_buff);
}
///---------------------------------------------------------------------------------//
void arrow_down (int digit, int t)
{
	int i,j, k,delay;
		
	uint8_t a;
	
	
	
	for (k = 0; k < 16; k++)
	{
		for (i = 0; i < digit; i++)
		{
			if ((i != 2) && (i != 5))
			{
				for (j = 0; j < 16; j++)
				{
					a  = display[0].display_buff [14- j][7-i];
						 display[0].display_buff [15- j]  [7-i] = a;
				}
				display[0].display_buff[0][7-i] = display[1].display_buff[15- k][7-i];
			}
		}
		for (delay = 0; delay < t; delay++);
			show (display[0]);	
	}
}
//---------------------------------------------------------------------------------//
void arrow_up (int digit, int t)
{
	int i,j, k,delay;
		
	uint8_t a;
	
	
	
	for (k = 0; k < 16; k++)
	{
		for (i = 0; i < digit; i++)
		{
			if ((i != 2) && (i != 5))
			{
				for (j = 0; j < 16; j++)
				{
					a  = display[0].display_buff [j+1][7-i];
						 display[0].display_buff [j][7-i] = a;
				}
				display[0].display_buff[15][7-i] = display[1].display_buff[k][7-i];
			}
		}
		for (delay = 0; delay < t; delay++)
			show (display[0]);	
		//while (timer);	
	}
}

//---------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------//
void Line_Copy (int line, uint8_t x)
{
	int 	i;
	uint8_t dat;
	
		for (i = 0; i < 8;i++)
		{
			dat = 	display[1].display_buff[line][i];
					display[0].display_buff[0][i] |= dat & x;
		}
}
//---------------------------------------------------------------------------------//
void rain_down_new (int t)
{
	int i,j,l,m,
	
		n   = 15,
		c 	= 0,
		row = 0,
		
		delay;
		
	uint8_t dat;	
		
		char x[4]   = 	{
							//0x11, 0x22, 0x44, 0x88, 
							//0x44,0x22, 0xaa, 0x99,
							0x18, 0x24, 0x42, 0x81,
						};
						
						
		char chip[2] = {19,3};
		
			//first start
			row = 0;
			c   = 0;
				
			for (l = 15;l > -1;l--)
			{
				for (m = 0;m < chip[c]  ;m++)
				{	 
					for (j = l ; j > -1;j--)
					{
						for (i = 0; i < 8; i++)
						{
							dat  = display[0].display_buff [j-1][i];
							
							if (j == l)	display[0].display_buff [j][i] |= dat;	
							else		display[0].display_buff [j][i] = dat;	
							
						}
					}
					Line_Copy (n , x[row]);
					
					for (delay = 0; delay < t; delay++)  show (display[0]);
					
					row++;
					
					if  (row > 3)
					{
						n--;
						row = 0;
					}
					
				}
				c =  1;
			}
		clear_buff (1);	
}
//---------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------//
void Line_upCopy (int line, uint8_t x)
{
	int 	i;
	uint8_t dat;
	
		for (i = 0; i < 8;i++)
		{
			dat = 	display[1].display_buff[line][i];
					display[0].display_buff[15][i]  |= dat & x;
		}
}
//---------------------------------------------------------------------------------//
void rain_up_new (int t)
{
	int i,j,l,m,
	
		n   = 0,
		c 	= 0,
		row = 0,
		
		delay;
		
	uint8_t dat;	
		
		char x[4]   = 	{
							//0x11, 0x22, 0x44, 0x88, 
							//0xD4,0xB6,0x6A,0x4D
							//0x18, 0x24, 0x42, 0x81,
							0x81, 0x42, 0x24, 0x18,
						};
						
						
		char chip[2] = {19,3};
		
			//first start
			for (l = 15;l > -1;l--)
			{
				for (m = 0;m < chip[c]  ;m++)
				{	 
					for (j = l ; j > -1;j--)
					{
						for (i = 0; i < 8; i++)
						{
							dat  = display[0].display_buff [15-j+1][i];
							
							if (l == j)	 display[0].display_buff [15-j][i] |= dat;	
							else		 display[0].display_buff [15-j][i] = dat;	
							
						}
					}
					Line_upCopy (n , x[row++]);
					for (delay = 0; delay < t; delay++)  show (display[0]);
					if  (row > 3)
					{
						n++;
						row = 0;
					}
				}
				c =  1;
				//hold (0);
			}
			//hold (0);
}
//---------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------//
void center_Right_Hand_in (void)
{
	int 		i,j;
	uint8_t 	dat,
				tmp;				
			
				for (j = 0; j < 16; j++)
					{
						//shift screen
						for (i = 7; i > 4; i--)
						{
							dat = display[0].display_buff[j][i];  
							dat = dat >> 1; 
							tmp = display[0].display_buff[j][i-1];	
							if (tmp & 0x01)  dat |= 0x80;
							display[0].display_buff[j][i] = dat;
						}
						
						dat = display[1].display_buff[j][7];
						tmp = tmp >> 1;  // last digit
						if (dat & 0x01)  tmp |= 0x80;
						display[0].display_buff[j][4] = tmp; 
						 
						
						
						//shift tmp
						for (i = 7; i > 4 ; i--)
						{
							dat = display[1].display_buff[j][i];  
							tmp = display[1].display_buff[j][i-1];	
							dat = dat >> 1;
							if (tmp & 0x01)
									dat |= 0x80;
							display[1].display_buff[j][i] = dat;		
						}
						
						display[1].display_buff[j][4] = tmp >> 1;  // last digit
						
					}
}
//---------------------------------------------------------------------------------//
void center_Left_Hand_in (void)
{
	int 		i,j;
	uint8_t 	dat,
				tmp;				
			
				for (j = 0; j < 16; j++)
				{
						//shift screen
					for (i = 0; i <= 2; i++)
					{
						dat = display[0].display_buff[j][i];  
						tmp = display[0].display_buff[j][i+1];	
						dat = dat << 1;
						if (tmp & 0x80)  dat |= 0x01;
							
						display[0].display_buff[j][i] = dat;
					}
						
					dat = display[1].display_buff[j][0];
					tmp = tmp << 1;  // last digit
					if (dat & 0x80)  tmp |= 0x01;
					display[0].display_buff[j][i] = tmp; 
						 
						
					//shift tmp
					for (i = 0; i <= 2; i++)
					{
						dat = display[1].display_buff[j][i];  
						tmp = display[1].display_buff[j][i+1];	
						dat = dat << 1;
						if (tmp & 0x80)
								dat |= 0x01;
						display[1].display_buff[j][i] = dat;		
					}
					display[1].display_buff[j][i] = tmp << 1;  // last digit
				}
}
//---------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------//
void delete_center_out (int t)
{
	int 	j,i,k,delay;
	uint8_t dat,tmp;
	
				for (k = 0; k < 32;k++)
				{
					//RIGHT HAND
					for (j = 0; j < 16; j++)
					{
						for (i = 7; i > 4;i--)
						{
							dat = display[0].display_buff[j][i]; 
							tmp = display[0].display_buff[j][i-1];	 
								
								dat = dat >> 1; 
								if (tmp & 0x01)  dat |= 0x80;
							display[0].display_buff[j][i] = dat;
						}
						display[0].display_buff[j][i] = tmp >> 1;  // last digit
					}
					
					//LEFT HAND
					for (j = 0; j < 16; j++)
					{
						for (i = 0; i < 3;i++)
						{
							dat = display[0].display_buff[j][i]; 
							tmp = display[0].display_buff[j][i+1];	 
								
							dat = dat << 1; 
								if (tmp & 0x80)  dat |= 0x01;
							display[0].display_buff[j][i] = dat;
						}
						display[0].display_buff[j][i] = tmp << 1;  // last digit
					}
					
					for (delay = 0;delay < t; delay++)
							show (display[0]);	
				}
}
//---------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------//
void scroll_center_in (int t)
{
	int 		k,delay;

				
				for (k = 0; k < 32; k++)
				{
					for (delay = 0;delay < t; delay++)
							show (display[0]);	
					
					center_Left_Hand_in ();
					
					center_Right_Hand_in ();
					
				}
				for (delay = 0;delay < 50; delay++)
						show (display[0]);	
}
//---------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------//
void delete_rain_up_new (int t)
{
	int i,j,l,k,c,delay;
		
	uint8_t dat;	
		
				
		char x[8]   = 	{
							0xff, 0x7E, 0x3C, 0x18, 
							0x81, 0xC3, 0xE7, 0xFF,
						};				
		c = 0;
		i = 0;
		
		
					for (l = 0;l < 16;)
					{
						for (j = 0; j < l + 1; j++)
						{
							for (delay = 0; delay < t; delay++)  show (display[0]);
							
							if (l == 0)
							{
								for (i = 0; i < 8;i++)
									display[0].display_buff [j][i] &= x[c];
							}
							else
							{
								for (i = 0; i < 8; i++)
								{
									for (k = 0;k < l;k++)
									{
										dat = 	display[0].display_buff[k+1][i];
											    display[0].display_buff[k][i]	 = dat;
									}
									dat = 	display[0].display_buff[k+1][i];
											display[0].display_buff[k][i]	 = dat &  x[c+4];;
											display[0].display_buff[k+1][i] = dat &  x[c];
								}
							}
							
							if (c++ > 2) 
							{
								c = 0;
								l++;
							}
						}
					}
}
//---------------------------------------------------------------------------------//
void delete_rain_down_new (int t)
{
	int i,j,l,k,c,delay;
		
	uint8_t dat;	
		

		/*
		char x[8]   = 	{
							0xff, 0x77, 0x33, 0x33, 
							0xC3, 0xCc, 0xEE, 0xFF,
						};	
		*/				
		/*
		char x[8]   = 	{
						
							0xff, 0x77, 0x33, 0x11, 
							0x88, 0xCc, 0xEE, 0xFF,
						}; 
									
		*/
		char x[8]   = 	{
						    0xFF, 0x77, 0x33, 0x11,  
							0x88, 0xCc, 0xEE, 0xFF,
						}; 
		

		
		c = 0;
		i = 0;
		
					for (l = 15;l > 0;)
					{
						for (j = l; j > -1 ; j--)
						{
							for (delay = 0; delay < t; delay++)  show (display[0]);
							
							if (j == 15)
							{
								for (i = 0; i < 8;i++)
									display[0].display_buff [j][i] &= x[c];
							}
							else
							{
								for (i = 0; i < 8; i++)
								{
									for (k = 15;k > l ;k--)
									{
										dat = 	display[0].display_buff[k-1][i];
											    display[0].display_buff[k][i]	 = dat;
									}
									dat = 	display[0].display_buff[k-1][i];
											display[0].display_buff[k][i]	 = dat &  x[c+4];;
											display[0].display_buff[k-1][i] = dat &  x[c];
								}
							}
							
							if (c++ > 2) 
							{
								c = 0;
								l--;
							}
						}
					}
					//keep LAST Clear
					for (k = 0; k < 16; k++)
					{
						for (i = 0; i < 8;i++)
						{
							for (j = 15; j > -1; j--)
							{
								dat  = 	display[0].display_buff [j-1][i];
										display[0].display_buff [j][i] = dat;
							}
							display[0].display_buff[j+1][i] = 0;//
						}
						for (delay = 0; delay < t; delay++) show (display[0]);	
					}
					
}


//---------------------------------------------------------------------------------//
void keep_left (int t)
{
	int k,j,i,delay;
	
	uint8_t dat,
			tmp;
			
			for (k = 0; k < 64;k++)
			{
				for (j = 0; j < 16; j++)
				{
					for (i = 0; i < 7;i++)
					{
						dat = display[0].display_buff[j][i]; 
						tmp = display[0].display_buff[j][i+1];	 
							
							dat = dat << 1; 
							if (tmp & 0x80)  dat |= 0x01;
						display[0].display_buff[j][i] = dat;
					}
					display[0].display_buff[j][i] = tmp << 1;  // last digit
				}
				for (delay = 0;delay < t; delay++)
						show (display[0]);	
			}
}
//---------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------//
//---------------------------------------------------------------------------------//
void shift_right (int t)
{
	int k,j,i,delay;
	
	uint8_t dat,
			tmp;
			
			for (k = 0; k < 64; k++)
			{
				for (j = 0; j < 16; j++)
				{
					//shift screen
					for (i = 7; i > 0; i--)
					{
						dat = display[0].display_buff[j][i];  
						dat = dat >> 1; 
						tmp = display[0].display_buff[j][i-1];	
						if (tmp & 0x01)  dat |= 0x80;
						display[0].display_buff[j][i] = dat;
					}
				
					dat = display[1].display_buff[j][7];
					tmp = tmp >> 1;  // last digit
					if (dat & 0x01)  tmp |= 0x80;
					display[0].display_buff[j][0] = tmp; 
					 
					//shift tmp
					for (i = 7; i != 0; i--)
					{
						dat = display[1].display_buff[j][i];  
						tmp = display[1].display_buff[j][i-1];	
						dat = dat >> 1;
						if (tmp & 0x01)
								dat |= 0x80;
						display[1].display_buff[j][i] = dat;		
					}
						
					display[1].display_buff[j][0] = tmp >> 1;  // last digit
				}
				
				for (delay = 0;delay < t; delay++)
						show (display[0]);	
			}
}			
//---------------------------------------------------------------------------------//
void shift_left (int t)
{
	int k,j,i,delay;
	
	uint8_t dat,
			tmp;
	
		for (k = 0; k < 64; k++)
		{
			for (j = 0; j < 16; j++)
			{
				//shift screen
				for (i = 0; i < 7; i++)
				{
					dat = display[0].display_buff[j][i];  
					dat = dat << 1; 
					tmp = display[0].display_buff[j][i+1];	
					if (tmp & 0x80)  dat |= 0x01;
					
					display[0].display_buff[j][i] = dat;
				}
						
				dat = display[1].display_buff[j][0];
				tmp = tmp << 1;  // last digit
				if (dat & 0x80)  tmp |= 0x01;
				display[0].display_buff[j][i] = tmp; 
				 
			
				//shift tmp
				for (i = 0; i < 7; i++)
				{
					dat = display[1].display_buff[j][i];  
					tmp = display[1].display_buff[j][i+1];	
					dat = dat << 1;
					if (tmp & 0x80)
							dat |= 0x01;
					display[1].display_buff[j][i] = dat;		
				}
				display[1].display_buff[j][i] = tmp << 1;  // last digit
			}
					
			for (delay = 0;delay < t; delay++)
					show (display[0]);	
		}
}



//---------------------------------------------------------------------------------//
uint8_t  calculate_shift (uint8_t a, uint8_t b, uint8_t c)
{
	uint8_t r = 1;
	
			if ((c % 10) == 0) 
			{
				r = 2;
				if  (c == 0)
				{
					if ((b % 10) != 0)  r = 4;
					else 
					{
						if (b == 0)
						{
							if ((a % 10) != 0)  r = 7;
							else r = 8;
						}
						else 
							r = 5;
					}
				}
			}
			
	return r;
}
//---------------------------------------------------------------------------------//
uint8_t  calculate_shift_counter (uint32_t c, char type)
{

	uint8_t r = 1;
	uint32_t  tmp = c;
	uint8_t   hour,min,sec;
	
			if (type == COUNT_DOWN)		tmp += 1;
			// count up nothing
			sec 	= (uint8_t)(tmp % 60);
			min 	= (uint8_t)((tmp / 60)%60);
			hour 	= (uint8_t)(tmp / 3600);
			
			
			if (c > 0) 
			{
				if ((sec%10) == 0)  
				{
					r += 1;
					if (sec == 0)
					{
						if ((min % 10) != 0) r += 2;
						else
						{
							if (min == 0)
							{
								if ((hour % 10) != 0)  r += 5;
								else r += 6;
							}
							else
							{
								r += 3;
							}
						}
					}
				}
					   
			}	
			
			
	return r;
}
